%global pkgvers 2
%global scdate0 20231128
%global schash0 3528dd48b2c938bd5899adb4e796e562556911ef
%global branch0 master
%global source0 https://gitea.osmocom.org/sdr/gr-iqbal.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           gr-iqbal
Version:        0.38.2
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        GNURadio block for suppressing IQ imbalance
License:        GPLv3+

URL:            https://github.com/osmocom/gr-iqbal

BuildRequires:  cmake gcc-c++ git gnuradio-devel doxygen pkgconfig
BuildRequires:  graphviz fftw-devel libosmo-dsp-devel pybind11-devel
BuildRequires:  python3-devel spdlog-devel gmp-devel libunwind-devel volk-devel

%description
This GNURadio block can suppress IQ imbalance in the RX path of
quadrature receivers.

%package        devel
Summary:        Development files for gr-iqbal
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description    devel
Development files for gr-iqbal.

%package        doc
Summary:        Documentation files for gr-iqbal
Requires:       %{name} = %{version}-%{release}

%description    doc
Documentation files for gr-iqbal.

%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller


%build
%cmake -DENABLE_DOXYGEN=on -DGR_PKG_DOC_DIR=%{_docdir}/%{name}
%cmake_build


%install
%cmake_install
mkdir -p %{buildroot}%{_docdir}
mv %{buildroot}%{_datadir}/doc/gr-iqbalance %{buildroot}%{_docdir}/%{name}


%ldconfig_scriptlets


%files
%exclude %{_docdir}/%{name}/html
%exclude %{_docdir}/%{name}/xml
%doc COPYING AUTHORS
%{_libdir}/*.so.*
%{python3_sitearch}/*
%{_datadir}/gnuradio/grc/blocks/*

%files devel
%{_includedir}/gnuradio/iqbalance
%{_libdir}/*.so
%{_libdir}/cmake/gnuradio/*.cmake

%files doc
%doc %{_docdir}/%{name}/html
%doc %{_docdir}/%{name}/xml


%changelog
* Mon Mar 18 2019 Balint Cristian <cristian.balint@gmail.com>
- github update releases
